@import url('https://fonts.googleapis.com/css2?family=Ubuntu:ital,wght@0,300;0,400;0,500;1,700&display=swap');

*{
    font-family: 'Ubuntu', sans-serif;
    color:white;
}
body{
    background-color: #161717;
}
.container{
    display:flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap:25px;
}
.buttons {
    
    display: flex;
    gap: 20px;
}
.google-btn {
    background-color: #1A73E8;
    border: none;
    border-radius: 5px;
    height: 40px;
    display: flex;
    align-items: center;
    padding: 2px;
    cursor: pointer;
}

.google-btn:hover {
    opacity: 0.75;
}

.google-btn picture {
    width: 35px;
    height: 35px;
    background-color: white;
    border-radius: 2px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.google-btn picture img {
    width: 75%;
}

.google-btn span {
    color: white;
    font-weight: 500;
    padding: 15px;
}

.twitter-btn {
    background-color: #1d9bf0;
    border: none;
    width: 40px;
    border-radius: 5px;
    cursor: pointer;
    font-weight: 700;
}

.twitter-btn:hover {
    background-color: #ddd;
    color: #1d9bf0!important;
}

.twitter-btn:hover picture {
    color: #1d9bf0!important;
}

.separator{
    display: flex;
    width: 100%;
    gap:15px;
}

.separator hr{
    flex-grow: 1;
    border:none;
    border-top: 1px solid #ccc;
}
.separator span{
    color: white;
}

.section-inputs{
    display: flex;
    gap:10px;
    width: 100%;
    
}
form {
    display: flex;
    flex-direction: column;
    align-items: stretch;
    gap: 30px;
}

label {
    display: flex;
    flex-direction: column;
    gap: 5px;
}

label span {
    font-weight: 700;
}

.section-inputs label input {
    width: 80%;
    background-color: #212121;
    border: none;
    padding: 10px 20px;
    border-radius: 10px;
    outline: none;
    font-size: 14pt;
}
label input {
    width: 90%;
    background-color: #212121;
    border: none;
    padding: 10px 20px;
    border-radius: 10px;
    outline: none;
    font-size: 14pt;
    transition: background-color 0.2s, border 0.2s, box-shadow 0.2s;
}

label input:hover {
    background-color: #454045;
    border: solid 1px #f3f3f4;
    box-shadow: 0 0 4px #eb50ff4f;
}
label input:focus {
    background-color: #454045;
    border: solid 1px #f3f3f4;
    box-shadow: 0 0 4px #eb50ff4f;
}

.checkbox-label {
    display: flex;
    flex-direction: row;
}

.checkbox-label input[type="checkbox"] {
    width: 20px;
}

.checkbox-label span {
    font-weight: 400;
}

.submit-btn {
    background-color: #EA4C89;
    color: white;
    font-weight: 500;
    font-size: 14pt;
    text-align: center;
    padding: 15px;
    border: none;
    border-radius: 10px;
    cursor: pointer;
}

.submit-btn:hover {
    opacity: 0.75;
}
